%global major 0
%define libname %mklibname epoxy %major
%define devname %mklibname -d epoxy

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Group:		System/Libraries
Version:	1.4.1
Release:	%mkrel 1
License:	MIT
URL:		http://github.com/anholt/libepoxy
Source0:	https://github.com/anholt/libepoxy/releases/download/v%{version}/libepoxy-%{version}.tar.xz

Patch0001:      0001-Add-C-guards-around-generated-headers.patch
Patch0002:      0002-Add-z-relro-and-z-now-to-the-GCC-linker-flags.patch
Patch0003:      0003-Add-explicit-version-flags-for-macOS-builds.patch
Patch0004:      0004-Use-some-linker-flags-only-on-Linux.patch
Patch0005:      0005-Add-missing-visibility-compiler-flags.patch
Patch0006:      0006-Prefer-using-pkg-config-files-to-find-GLES.patch

BuildRequires:	GL-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	x11-util-macros
BuildRequires:	python3
BuildRequires:	meson

%description
A library for handling OpenGL function pointer management.

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

# NOTE: We intentionally don't ship *.la files
find %{buildroot} -name '*.la' -delete

%check
# In theory this is fixed in 1.2 but we still see errors on most platforms
# https://github.com/anholt/libepoxy/issues/24
%meson_test \
%ifarch %{arm} aarch64 %{power64} s390x
  || :
%else
  ;
%endif

%files -n %{libname}
%doc README.md
%{_libdir}/libepoxy.so.%{major}
%{_libdir}/libepoxy.so.%{major}.*

%files -n %{devname}
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc



%changelog
* Wed Mar 22 2017 ovitters <ovitters> 1.4.1-1.mga6
+ Revision: 1094313
- switch to meson buildsystem
- sync with Fedora
- new version 1.4.1
- fix source url

* Thu Dec 08 2016 tmb <tmb> 1.3.1-8.mga6
+ Revision: 1073357
- fix null pointer crash causing segfaults in gtk+ apps

* Fri Oct 07 2016 tv <tv> 1.3.1-7.mga6
+ Revision: 1059360
- fix detection of EGL client extensions

* Mon Feb 15 2016 umeabot <umeabot> 1.3.1-6.mga6
+ Revision: 960959
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 blino <blino> 1.3.1-5.mga6
+ Revision: 897774
- actually apply ARM compat patch for tests
- revert Fedora modifications that disable make check, since we have a patch to fix tests on ARM

* Wed Nov 04 2015 neoclust <neoclust> 1.3.1-4.mga6
+ Revision: 897743
- Fix running tests
- Rebuild to make availaable on ARM

* Mon Sep 21 2015 blino <blino> 1.3.1-2.mga6
+ Revision: 882038
- fix running tests on ARM (by listing GLIBC_2.4 version in dlwrap.c)

* Sun Aug 23 2015 wally <wally> 1.3.1-1.mga6
+ Revision: 868676
- new version 1.3.1
- clean .spec a bit
- drop unneeded BRs

* Mon Apr 14 2014 tv <tv> 1.2-0.1.20140307gitd4ad80f.mga5
+ Revision: 614220
- imported package libepoxy


* Mon Apr 14 2014 Thierry Vignaud <tv@mageia.org> 1.2-0.1.20140307gitd4ad80f.mga5
- import from FC
